View Issue Details

IDProjectCategoryView StatusLast Update
0000176Pgpool-IIBugpublic2016-05-06 17:33
Reporterhyz0906Assigned Tot-ishii 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionopen 
PlatformOSubuntuOS Version12.04
Product Version 
Target VersionFixed in Version 
Summary0000176: What is the execution order of ‘follow_master_command' and 'failover_command'?
DescriptionI set the ‘follow_master_command' and 'failover_command' in my 'pgpool.conf'.
In the failover_command, it touches a trigger file on the standby node to promote the node.
And in the follow_master_command, I recover the slave from the new master by call the pcp_recovery_node command.
But I found that when the recovery command is triggered,it reports:
ERROR: failed to process PCP request at the moment DETAIL: failover is in progress FATAL: authentication failed for new PCP connection DETAIL: connection not authorized
Pgpool version:3.4.4 or 3.5.0
TagsNo tags attached.

Activities

t-ishii

2016-04-01 11:55

developer   ~0000750

Can we share scripts for the failover command and the follow master command?

t-ishii

2016-05-06 17:32

developer   ~0000793

No response for over a month. So closed...

Issue History

Date Modified Username Field Change
2016-03-19 10:16 hyz0906 New Issue
2016-04-01 11:55 t-ishii Note Added: 0000750
2016-04-01 11:55 t-ishii Assigned To => t-ishii
2016-04-01 11:55 t-ishii Status new => feedback
2016-05-06 17:32 t-ishii Note Added: 0000793
2016-05-06 17:33 t-ishii Status feedback => closed